<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>improfile</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="impixel.html">&lt;&lt; impixel</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_f17847494401c51daa9e1bfe09408f94.html">Image Analysis and Statistics</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="mean2.html">mean2 &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_f17847494401c51daa9e1bfe09408f94.html">Image Analysis and Statistics</a> &gt; improfile</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">improfile</h1>
    <p class="refpurpose">Return profiles for the selected 2 points</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">[</span><span class="default">xc</span><span class="default">,</span><span class="default">yc</span><span class="default">,</span><span class="default">pixval</span><span class="default">] = </span><span class="functionid">improfile</span><span class="default">(</span><span class="default">S</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">S :</span>
      <dd><p class="para">Image matrix in Scilab</p></dd></dt>
   <dt><span class="term">xc :</span>
      <dd><p class="para">x-coordinates for the selected points</p></dd></dt>
   <dt><span class="term">yc :</span>
      <dd><p class="para">y-coordinates for the selected points</p></dd></dt>
   <dt><span class="term">pixval :</span>
      <dd><p class="para">Correspond pixels&#0039; values along the selected points</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">This function provides interactive way to select 2 points on an image
and returned with the line profile. Use left mouse click to select 2
points and the image profile would be computed and ploted on a new graph.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">S</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/balloons.png</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">improfile</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="impixel.html" class="link">impixel</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="impixel.html">&lt;&lt; impixel</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_f17847494401c51daa9e1bfe09408f94.html">Image Analysis and Statistics</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="mean2.html">mean2 &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
